> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get oauthredirect

> Get an Oauth token key



## OpenAPI

````yaml /schema.json get /oauth/redirect
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /oauth/redirect:
    get:
      tags:
        - Oauth
      description: Get an Oauth token key
      operationId: oauthGetTokenKey
      parameters:
        - name: provider
          in: query
          description: Provider specification
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthTokenRequest'
        - name: key
          in: query
          description: The current key
          schema:
            type: string
        - name: callbackId
          in: query
          description: Id to return when receiving data
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        2XX:
          description: OK
        3XX:
          description: Redirect
        4XX:
          description: Client Error
        5XX:
          description: Server Error
components:
  schemas:
    OAuthTokenRequest:
      type: object

````